Subject: x11 primary selection with mouse

From: Johannes Martinez <[email-masked]>
Date: Sun, 25 Jul 2021 02:09:44 -0400

Hi, I'm writing a clipboard manager and notice some odd behaviour with
emacs.
It seems to be setting the primary selection while mouse button is down and
not on button up. So what happens is that you're continuously setting the
selection as the user fiddles the mouse the highlight just the text they
want.

I'm guessing this is because you're  just using the same code as keyboard
highlighting.  doing it only on button up will reduce your traffic quite a
bit... and allow me to not make an ugly hack 4x bigger than the regular
code just to deal with emacs properly.
Thanks.